package com.lantone.qc.kernel.catalogue.yiwu.consultation;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.consultation.ConsultationDoc;
import org.springframework.stereotype.Component;

import java.text.ParseException;
import java.util.List;
import java.util.Objects;

/**
 * @ClassName : CON0528
 * @Description : 无会诊记录单
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class CON0528 extends QCCatalogue {

    public void start(InputInfo inputInfo, OutputInfo outputInfo) throws ParseException {
        status.set("0");
        List<ConsultationDoc> consultationDocs = inputInfo.getConsultationDocs();
        if (consultationDocs.size() == 0) {
            return;
        }
        long consultationRecordCount = consultationDocs
                .stream().map(ConsultationDoc::getConsultationRecordDoc).filter(Objects::nonNull).count();

        long consultationResultsCount = consultationDocs
                .stream().map(ConsultationDoc::getConsultationResultsDoc).filter(Objects::nonNull).count();

        if (consultationRecordCount < consultationResultsCount) {
            status.set("-1");
            info.set("会诊记录病程数：" + consultationRecordCount + ",会诊结果数：" + consultationResultsCount);
        }
    }
}